get eligibility.md
Get Eligibility
Channels API · deployment
GET /ui/connectors/channels-api/latest/deployment/eligibility/
Return whether channels-api can take over this box, plus the current state.
Example request
curl -X GET "/ui/connectors/channels-api/latest/deployment/eligibility/"
Responses
200 — Successful Response
canRun· boolean · RequireddeploymentState· string · Requiredresources· list of objects · Optional · Defaults to []- Array items (object):
type· string · Requiredid· string · Requiredchannel· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
canUpgrade· object · Optional- One of the following variants:
- boolean (boolean)
- null (null)
- One of the following variants:
reason· object · Optional- One of the following variants:
- string (string)
- null (null)
- One of the following variants:
- Array items (object):
Example:
{
"canRun": true,
"deploymentState": "string",
"resources": []
}
Source spec: channels-api · operationId: get_eligibility_deployment_eligibility__get